// Copyright 2007-2012 OpenNETCF Consulting, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining 
// a copy of this software and associated documentation files (the "Software"), 
// to deal in the Software without restriction, including without limitation 
// the rights to use, copy, modify, merge, publish, distribute, sublicense, 
// and/or sell copies of the Software, and to permit persons to whom the 
// Software is furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in 
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
// DEALINGS IN THE SOFTWARE.

using System;
using System.Collections.Generic;
using System.Text;

namespace OpenNETCF.Media.MP3
{
    public enum Genre
    {
        Unknown = -1,
        Blues = 0,
        ClassicRock = 1,
        Country = 2,
        Dance = 3,
        Disco = 4,
        Funk = 5,
        Grunge = 6,
        HipHop = 7,
        Jazz = 8,
        Metal = 9,
        NewAge = 10,
        Oldies = 11,
        Other = 12,
        Pop = 13,
        RandB = 14,
        Rap = 15,
        Reggae = 16,
        Rock = 17
        /*
         18. Techno
         19. Industrial
         20. Alternative
         21. Ska
         22. Death Metal
         23. Pranks
         24. Soundtrack
         25. Euro-Techno
         26. Ambient
         27. Trip-Hop
         28. Vocal
         29. Jazz+Funk
         30. Fusion
         31. Trance
         32. Classical
         33. Instrumental
         34. Acid
         35. House
         36. Game
         37. Sound Clip
         38. Gospel
         39. Noise
         40. AlternRock
         41. Bass
         42. Soul
         43. Punk
         44. Space
         45. Meditative
         46. Instrumental Pop
         47. Instrumental Rock
         48. Ethnic
         49. Gothic
         50. Darkwave
         51. Techno-Industrial
         52. Electronic
         53. Pop-Folk
         54. Eurodance
         55. Dream
         56. Southern Rock
         57. Comedy
         58. Cult
         59. Gangsta
         60. Top 40
         61. Christian Rap
         62. Pop/Funk
         63. Jungle
         64. Native American
         65. Cabaret
         66. New Wave
         67. Psychadelic
         68. Rave
         69. Showtunes
         70. Trailer
         71. Lo-Fi
         72. Tribal
         73. Acid Punk
         74. Acid Jazz
         75. Polka
         76. Retro
         77. Musical
         78. Rock & Roll
         79. Hard Rock

        The following genres are Winamp extensions

         80. Folk
         81. Folk-Rock
         82. National Folk
         83. Swing
         84. Fast Fusion
         85. Bebob
         86. Latin
         87. Revival
         88. Celtic
         89. Bluegrass
         90. Avantgarde
         91. Gothic Rock
         92. Progressive Rock
         93. Psychedelic Rock
         94. Symphonic Rock
         95. Slow Rock
         96. Big Band
         97. Chorus
         98. Easy Listening
         99. Acoustic
        100. Humour
        101. Speech
        102. Chanson
        103. Opera
        104. Chamber Music
        105. Sonata
        106. Symphony
        107. Booty Bass
        108. Primus
        109. Porn Groove
        110. Satire
        111. Slow Jam
        112. Club
        113. Tango
        114. Samba
        115. Folklore
        116. Ballad
        117. Power Ballad
        118. Rhythmic Soul
        119. Freestyle
        120. Duet
        121. Punk Rock
        122. Drum Solo
        123. A capella
        124. Euro-House
        125. Dance Hall    
         */
    }
}
